== osso-chat-ui 2.0.64 ==

2008-04-24 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c, src/chat-idle-window.c, 
	src/chat-view.c, src/participant-pane.c: 
	Context sensitive menu stays open in conversation area
	Depends on fix of 84903
	Fixes: NB#84721

2008-04-24 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c, src/chat-idle-window.c: Try to fix 84721

== osso-chat-ui 2.0.63 ==

2008-04-21 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-window.c: Option Save chat log is enable
	Fixes: NB#84525

== osso-chat-ui 2.0.62 ==

2008-04-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.c, src/chat-view.c: Cast CSM to Gtk Widget
	Fixes: NB#80668

== osso-chat-ui 2.0.61 ==

2008-04-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Cast menu widget to chat menu
	Fixes: NB#80668

== osso-chat-ui 2.0.60 ==

2008-04-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.c, src/chat-ui.c, src/chat-view.c, 
	src/chat-window.c, src/participant-pane.c: 
	Context sensitive menu stays open
	Fixes: NB#80668

== osso-chat-ui 2.0.59 ==

2008-03-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-member.c: unknown contact displays properly
	Fixes: NB#79662

== osso-chat-ui 2.0.58 ==

2008-03-07 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: open link with appropriate application
	Fixes: NB#81871

== osso-chat-ui 2.0.57 ==

2008-03-03 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.c: Context sensitive menu stays open
	Fixes: NB#80668

== osso-chat-ui 2.0.56 ==

2008-02-29 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-menu.c: Select text in editable textbox
	Fixes: NB#79513

== osso-chat-ui 2.0.55 ==

2008-02-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: Add punct to Email regexp patterns
	Fixes: NB#77890

== osso-chat-ui 2.0.54 ==

2008-02-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-member.c: Switch on scaling if avatar was created
	Fixes: NB#80103
	* src/chat-view.c: Function returned empty data

== osso-chat-ui 2.0.53 ==

2007-12-20 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Ack messages even if the sender is blocked.

2007-12-17 Naba Kumar <naba.kumar@nokia.com>:

	* Updated README file.

== osso-chat-ui 2.0.52 ==

2007-12-14 Naba Kumar <naba.kumar@nokia.com>:

	* Convert ChatMember struct into a GObject
	* Instead of setting ChatMember everywhere when it's manipulated
	make interested parties listen to notify:: signals.
	* Fetch permanent handles and contact objects when group flags
	change to support handle owners. Fixes: NB#78070
	* Inspect channel handle the first thing in forming a channel.
	Fixes: NB#77883
	* Remove or comment out some unused code. Fixes: NB#74294
	* Remove CTRL+E from search contacts menu command.
	Fixes: NB#77866
	* Mark an unknown contact as manual when blocked. Related to
	NB#70663
	* Remove deprecated libtelepathy symbols.
	* Cleanups here and there, mainly making the menu dependant on window
	rather than both depending on each other.

2007-11-19 Naba Kumar <naba.kumar@nokia.com>:

	* configure.ac, debian/rules: Add in options for GCov
	* src/Makefile.am: Change to use INCLUDES instead of 
	chat_ui_CFLAGS to disable the compilation of objects
	prefixed with the binary name.

=== osso-chat-ui 2.0.51 ===

2007-10-18 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c, src/participant-pane.[ch]: Remove the extra
	"muc" mode from the side pane, always put our own name first
	in the list. Otherwise sort alphabetically based on preferred
	visible name. Fixes: NB#73605

=== osso-chat-ui 2.0.50 ===

2007-10-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-ui.c, src/chat-window.[ch], src/chat-view.[ch]:
	Listen to osso display events instead of trusting to system
	inactivity indicator. Fixes: NB#71446

=== osso-chat-ui 2.0.49 ===

2007-10-01 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: If we've gotten some sort of a presence for a
	contact, don't show the "Unauthorized" message. This probably doesn't
	affect anything, but should make us 100% that if the guy goes offline,
	we're not showing "Unauthorized" message.
	* src/chat-menu.c: Dim paste option when focus is not in editable
	field. Related to NB#71100
	* src/chat-view.c: Stop LED pattern when window is deleted without
	focusing it. Fixes: NB#71446
	* src/manual-chat-dialog.c: Don't validate addresses we're trying to
	contact. Let the connection manager do this. Related to NB#47992

=== osso-chat-ui 2.0.48 ===

2007-09-27 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-manager.c: Do not load EBookView right at startup. Only
	when it's needed. Improves startup times.

=== osso-chat-ui 2.0.47 ===

2007-09-26 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.c: Don't real the cursor path when cursor is
	changed.
	* src/participant-pane.c: Free the collate key from storage before
	removing a member.
	* src/chat-box.c: Call g_object_ref_sink to get rid of the weak reference
	of the popup menu. Also remember to g_object_unref the menu before
	destruction. Fixes a memory leak.
	* src/chat-view.c: Don't duplicate mc account alias, it's duplicated
	by the library already.

=== osso-chat-ui 2.0.46 ===

2007-09-26 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-manager.c: Remove workaround for sorting messages, libimlogger
	does this correctly now.
	* src/chat-window.c, src/chat-view.[ch], src/chat-box.[ch]: Add more
	parameters into search functionality to allow more accurate display
	between two information banners.... Fixes: NB#51167, NB#70960

=== osso-chat-ui 2.0.45 ===

2007-09-26 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-manager.c: Fix build error.

=== osso-chat-ui 2.0.44 ===

2007-09-25 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Check existence of channel in listing pending
	messages.
	* src/chat-box.c, src/chat-menu.c: Check if the owner of the clipboard
	is parented to the current active window.
	* src/chat-view.c: Check channel existence in listing pending messages.
	Fixes a crash noticed from corematic.
	* src/chat-view.c: Add entry hardware key singals back. Fixes: NB#70971
	* src/chat-view.c: Don't try to free memory in various errorneus
	async callbacks, if the error is set. D-BUS leaves the variables in
	these callbacks unset. Fixes some very rare crashes.
	* src/chat-manager.c: Sort received messages by message id from database.
	Fixes: NB#55667

2007-09-25 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-ui.c: Add show_window flags to request context for
	self inflicted chats. Fixes: NB#68743
	* src/list-rooms-dialog.c: Show all rooms again when deleting
	everything from search entry.
	* src/chat-menu.c, src/chat-box.c: Use owner based clipboard
	for copying text. Fixes: NB#56612
	* src/chat-menu.c: Check group flags for adding people to channel
	on selection change. Fixes: NB#70728
	* src/chat-window.c: Ask for handles from connection manager if
	we're online and testing fake data. Blocks launching several
	identical windows for unknown contacts.
	* src/chat-manager.c: Don't sort messages at all. Prepend messages
	received from database, then reverse the list, faster than appending
	them all the time, if there's a lot of messages.
	* src/chat-view.c: Don't allow /me command if connection manager
	doesn't support action types.
	* src/chat-view.c: Don't free presence hash when get_presence fails.
	* src/chat-view.c, src/common.c: Disconnect from avatar notify
	signal when unreffing the avatar object of addressbook.

=== osso-chat-ui 2.0.43 ===

2007-09-18 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-menu.c: Use the correct account variable when
	adding a new contact from the tools menu. Fixes: NB#70043

=== osso-chat-ui 2.0.42 ===

2007-09-14 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-ui.c: Silence a compile time warning.
	* src/chat-view.c: Don't allocate static size structs with
	g_new0, use g_slice_new0 instead.
	* src/chat-manager.c: Don't reorder messages from DB by time.
	Fixes: NB#55667
	* src/chat-box.c: Add mms:// links to supported list.
	* src/list-rooms-dialog.c: On connection lost, clean up channel
	and connection objects and dim the refresh button. Fixes: NB#51089

=== osso-chat-ui 2.0.41 ===

2007-09-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/common.c, test/test-main.c: Add /* NOLOC */ comment
	after strings that aren't to be localized, or checked for
	localization. Makes a script happy...
	* src/chat-menu.c: Select first item in "Edit" sub menu when
	a menu item is dimmed. Fixes: NB#69284
	* src/chat-ui.c: Allow starting a chat with a manual contact.
	Fixes: NB#69346
	* src/chat-view.c: Don't print "offline" or "unauthorized"
	event if a guy is blocked. Ever. Fixes: NB#64289

=== osso-chat-ui 2.0.40 ===

2007-09-11 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-ui.c: Present idle window when we don't have any
	accounts and an uri open is received. Fixes: NB#62981

=== osso-chat-ui 2.0.39 ===

2007-09-11 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-manager.c, src/chat-box.c, src/chat-ui.c: Use
	g_slices to allocate memory for fixed size contextes instead
	of g_new0.
	* src/chat-ui.c: Implement new D-BUS method for allowing external
	party to launch a chat channel, of any text channel type, using the UI.
	* src/common.c: Allow the use of account unique name in account
	lookups.

=== osso-chat-ui 2.0.38 ===

2007-09-10 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: Add more restricted characters into link
	parsing. Fixes: NB#68758
	* src/chat-view.c: Don't stop code execution in the middle of
	and invitation to a room. Fixes: NB#68155

=== osso-chat-ui 2.0.37 ===

2007-09-06 Naba Kumar <naba.kumar@nokia.com>:

	* Add new contact into correct group and use the account
	if available in idle view's add contact button.
	* src/chat-view.c: Check if a contact already has a manual
	contact available before adding a new one.

=== osso-chat-ui 2.0.36 ===

2007-09-04 Naba Kumar <naba.kumar@nokia.com>:

	* Brutally just call exit when device is shutting down.
	* Handle flight mode. Fixes: NB#57342
	* Inherit GtkHPaned directly in ChatView, instead of GtkVBox

=== osso-chat-ui 2.0.35 ===

2007-08-31 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Cope with gabble not sending the subject-contact
	every time a property is changed.

=== osso-chat-ui 2.0.34 ===

2007-08-30 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.c, src/chat-menu.c: Implement
	add contact functionality. Fixes: NB#66894

	* src/smiley-menu.[ch], src/toolbar.c: Implement smiley
	menu as a separate widget instead of keeping it inline in
	the toolbar.

	* src/participant-pane.c: Silence a Gtk-Warning.

	* src/chat-view.c: Don't activate LED pattern on topmost
	window when display isn't dimmed. Fixes: NB#65774

	* src/toolbar.c: On realize event into the entry grab
	focus manually, looks like can-default flag wasn't enough.
	Fixes: NB#62125

=== osso-chat-ui 2.0.33 ===

2007-08-27 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-menu.c: Monitor P2P capable account existence to
	dim and undim "New contact" and "Find contact" menu items.

	* src/chat-menu.c: Hide "Unblock" CSM command when in idle
	window.

	* src/participant-pane.c: Hack scrolling to work when cursor is
	moved to a member that isn't fully visible.

	* src/chat-window.c: Change log time stamp to match new specs

2007-08-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/chat-menu.c: (chat_menu_show_help_cb):
	* src/common.h:
	Use the same help id for idle and active views (Fixes: NB#62719)

=== osso-chat-ui 2.0.32 ===
	
2007-08-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.ac:
	Move maemo-launcher pkg-config checks further down, so configure
	does not explode on me (some problem with the newer toolkit)

	* src/chat-idle-window.c: (contact_activated_cb):
	Adapt to a libosso-rtcom API change
	
	* src/chat-menu.c: (chat_menu_new_contact_cb):
	Adapt to a libosso-abook API change

=== osso-chat-ui 2.0.31 ===

2007-08-23 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.c: Fix marking idle window widget's visibility.
	Fixes: NB#66308

	* src/toolbar.c: Remove paste hacks from code, use GTK 2.10 inbuilt
	features instead.

	* src/chat-ui.c: Fix tracking of topmost window to use HildonWindow's
	option, instead of monitoring focus events. Fixes: NB#65270

	* Remove last remnants of old "account not configured" note.

	* src/participant-pane.c: Instead of unsetting and setting a model,
	just tell the column to recalculate it's size when avatar setting is
	changed.

	* src/participant-pane.c: Make the protocol icon scrollable again.
	Also this will prevent it being pushed to the left when the pane
	is made smaller. Fixes: NB#66018

	* src/participant-pane.c: "Leak" some  events from internal tree view
	to be events from the whole pane. Specifically left and right keys.
	Fixes: NB#64775

	* src/chat-menu.c: Add paste options to menu. Fixes: NB#63536

=== osso-chat-ui 2.0.30 ===

2007-08-17 Naba Kumar <naba.kumar@nokia.com>:

	* Modify packaging to follow the new way of using maemo-launcher.
	Fixes: NB#65910

	* data/chat-ui.desktop.in: Changed all start chat options to
	use logical string uri_link_start_new_chat from osso-uri
	domain. Fixes: NB#61288

	* src/chat-window.c: Don't crash if we're not connected while
	inviting people to a group chat. Fixes: NB#65623

	* src/chat-view.c: Cancel ongoing request of joing a room when password
	dialog is cancelled. Fixes: NB#60724

	* src/manual-chat-dialog.c: Grab focus back to adderess entry when
	invalid address is entered and OK button clicked. Fixes: NB#64362

2007-08-16 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-idle-window.[ch]: Add a function to get a currently
	selected contact object. Fixes: NB#65345

	* src/toolbar.[ch]: Add a method to add text into entry without
	clearing the whole contents.

	* src/chat-ui.c: Add osso-obj parameter to idle window.
	Fixes: NB#64069

	* src/chat-ui.c: Don't show window when reconnecting.
	Fixes: NB#64909

	* src/chat-menu.c: Show "Not available banner" when trying to
	pop "Get in contact" dialog for ourselves. Fixes: NB#62384

	* src/chat-view.c: Reset our own presence if a p2p chat is closed.
	Fixes: NB#65147

	* src/chat-view.c: Don't reset the "Contact unauthorized" flag before
	channel cleanup has been done. Fixes: NB#63526

2007-08-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/list-rooms-dialog.c: (listing_rooms_cb):
	Correct a logical string (Fixes: NB#64658)

	* src/chat-menu.c: (chat_menu_block_user_cb):
	Do not try to get the group iface from a non-existing channel
	and crash (Fixes: NB#65233)

	* src/chat-menu.c: (chat_menu_finalize):
	Remove weak pointer from @priv->window

	* src/list-rooms-dialog.c: (stop_listing_reply_cb), (search_cb):
	Ensure we display "Refresh stopped" instead of "Completed" if
	user interrupted the search (Fixes: NB#61677)

	* src/list-rooms-dialog.c: (listing_rooms_cb),
	(stop_listing_reply_cb), (entry_changed_cb),
	(list_rooms_dialog_init), (list_rooms_dialog_finalize):
	Properly dim/undim the Search button (Fixes: NB#63775)

	* src/chat-view.c: (member_activated_cb):
	Show "Not available" banner if the contact starter cannot be run
	(Fixes: NB#65556)

2007-07-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/chat-menu.c: (chat_menu_edit_activated_cb),
	(chat_menu_constructor):
	Connect to the "activate" signal of the edit menu item
	rather than the "map" signal of the submenu (Fixes: NB#62468)

=== osso-chat-ui 2.0.29 ===

2007-07-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/chat-menu.c: (chat_menu_room_settings_cb):
	Do not try to launch room settings dialog (and crash)
	when there's no connection or channel objects (Fixes: NB#63335)

	* src/chat-menu.c:
	(chat_menu_start_communication_cb), (chat_menu_add_to_contacts_cb),
	(chat_menu_view_details_cb), (chat_menu_kick_user_cb),
	(chat_menu_block_user_cb), (chat_menu_toggle_fullscreen_cb),
	(chat_menu_find_contact_cb), (chat_menu_find_text_toggled_cb),
	(chat_menu_save_log_cb), (chat_menu_show_help_cb),
	(chat_menu_set_parent):
	Take a weak reference on @priv->window and add sanity checks in
	functions using	it (Fixes: NB#63022)

	* src/chat-view.c: (chat_view_request_aliases_reply):
	Avoid an invalid free() when the GError is set (Fixes: NB#62819)

2007-07-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/chat-view.c: (update_contact_func):
	Do not crash, if @user_id is NULL (Fixes: NB#63675)
	
	* src/toolbar.c: (toolbar_init):
	Do not set "has-default" property (not allowed to be
	called at construction-time)

=== osso-chat-ui 2.0.28 ===

2007-06-29 Naba Kumar <naba.kumar@nokia.com>:

	* Switch order of www. and email with mere @ link
	parsing. Fixes: NB#61406
	* Make sure not to connect to "MessageReceived" signal
	before pending messages have been listed.
	Fixes: NB#55667

2007-06-21 Naba Kumar <naba.kumar@nokia.com>:

	* Show label in "Join chat room dialog". Fixes: NB#60720
	* Close "Chat rooms dialog", when joining a room and CM
	supports "handle-name" field. Fixes: NB#61285
	* Add sip: into supported link formats. Fixes: NB#61156
	* Move g_thread_init call before gtk_init to quiet one
	GLib-Critical warning.
	* Don't unref the incoming EContact object when updating
	contact selection in idle view. Quiets another GLib
	Critical. Also, caused occasional crash in the menu
	unreffing. Fortunately it's a singleton.
	* Append locale preferred date into the saved log file
	name instead of system time. This will be resolved after
	new localization package is released. Fixes: NB#61348
	* Add a handler for sip: into chat ui's desktop file.

2007-06-14 Naba Kumar <naba.kumar@nokia.com>:

	* Add dependencies to new osso-accounts-settings package
	* Create the accounts applet library name constant build time.
	Fixes: NB#60371
	* Add insensitive press message to invite button
	* Add insensitive press message to "join rooms dialog" "OK"
	button. Fixes: NB#60642
	* Pack "OK" button first into the dialog on manual chat dialogs.
	Fixes: NB#60645
	* Don't use removed _set_new_contact function on abook's select
	dialogs.
	* Add handle-name use into list rooms dialog. But also, use a
	fallback of using the integer handle for CMs that don't return
	the handle-name.
	* Open a "Get in contact" dialog for a chat member when the
	member is activated (double tap, select hw key...)
	* Small optimatizations to list rooms dialogs list packing.
	* Add async stop listing call into list rooms dialog.
	* Add tilde support to web links. Fixes: NB#54837
	* Always show "Copy link location" in CSM menu for chat area.
	Also, pack the actions as first items to the menu, instead of
	appending them. Fixes: NB#59761
	* Add shortcut support to chat menu.
	* Cleaned up monitoring MMC removal while saving chat log.
	* Ask CMs for handle ids when trying map windows to new
	channels to be absolutely sure that the handles match. This
	works only if the used account is online. If we need to do
	offline comparisons, we have no way of knowing if the
	handles really match... Fixes: NB#59569, NB#60051
	* Don't free handle array inside the member build function.
	Also, remember to nullify freed GErrors in member building.
	Fixes: NB#59491, NB#60581
	* Take into use the more generic error "Operation failed"
	as a fallback instead of "Permission denied", which was still
	used in several different situations.
	* Add few new telepathy errors into handler, that were recently
	added into the telepathy specs.

2007-05-31 Naba Kumar <naba.kumar@nokia.com>:

	* Fix a crash in new async alias query (when it fails)
	* Fix logical string in settings dialog.

2007-05-31 Naba Kumar <naba.kumar@nokia.com>:

	* Made alias query async to connection managers. This speeds
	up chat initiation with a contact, since we don't wait for
	connection manager to make a network query at this point.
	* Switch the sort order of password protected and invitation
	only rooms. Fixes: NB#51177
	* Add manual contacts into query and visual filter flags for
	idle view.
	* Don't use deprecated TP_CONN_HANDLE types.
	* Prepare for receiving handle names in listing of rooms.
	* Apply changes in specs for room listing dialog.
	* Allow blocking of contacts from idle view. Fixes: NB#59032
	* Get group flags from window correctly while blocking a
	contact. Fixes: NB#59100
	* Fix "Add to contacts" option sensitivity. Meaning, set it to
	dimmed when the channel doesn't support permanent handles.
	Really. Fixes: NB#56066, NB#59181

2007-05-30 Naba Kumar <naba.kumar@nokia.com>:

	* Some memory leaks fixed.
	* Add some sort of validations to manually entered chat
	addresses. Fixes: NB#57256, NB#58099
	* Reintroduce a removed signal to close a chat window.
	Fixes: NB#56041
	* Add appending ellipsizes for oversized, received message.
	Fixes: NB#51090
	* Added "Opening chat room" animation banner. Fixes:NB#56546

2007-05-28 Naba Kumar <naba.kumar@nokia.com>:

	* Add support for selection changed into idle view. Also, push and
	enable user commands in user submenu based on contact selected.
	Fixes: NB#55821
	* Implement functionality related to live searching of contacts
	in the avatar view. Also, add the search contacts menu item into
	application menu. Fixes: NB#56527
	* Add support for CSM in the idle view. This can be popped out
	when tapping and holding over the avatar view. Fixes: NB#56524

2007-05-25 Naba Kumar <naba.kumar@nokia.com>:

	* Don't, by default enable video invitation.
	* Change side pane button to toggle button. Also, use
	the correct icon. Fixes: NB#57318
	* Change icon sizes in toolbar from GTK_ICON_SIZE_LARGE_TOOLBAR
	to HILDON_ICON_SIZE_TOOLBAR.
	* Add new way of mapping and setuping chat windows, allow
	"idle" active chat windows, where the entry field is enabled.
	Fixes: NB#57323
	* Undim "Unblock" menu options when blocking contacts locally.
	And vice versa. Fixes: NB#57193
	* Force user to select an account to map the new contact to,
	when selecting "Create a new contact" option from application
	menu.
	* Add insensitive messages for copy and select all menu
	commands. Fixes: NB#57931, NB#57393
	* Add "Saved" information banner for saving chat log.
	Fixes: NB#56557
	* Change LED lighting event name to match the new one found
	in mce configuration file.
	* Don't override existing contact object of a chat member if some
	contact object containing similar information is edited.
	Fixes: NB#55236
	* Add a check if the found contact object is "manual" object,
	meaning it's present only in the "recent" group.
	Fixes: NB#57364, NB#57608
	* Copy topic string prior of freeing the original data structure.
	Fixes: NB#55624
	* Mark the view containing text when messages are found from
	database. Fixes: NB#58359

2007-05-15 Naba Kumar <naba.kumar@nokia.com>:

	* Move handling of joining into chats into one centralized
	part of the code.
	* Due to the issue above, move also handling of room listings
	into the same part of the code.
	* Don't errorneusly connect to window's "destroy" and "delete-event"
	signals. Fixes: NB#57078

2007-05-10 Naba Kumar <naba.kumar@nokia.com>:

	* Replace "join room dialog" with "manual chat dialog".
	This supports joining on chats with a direct contact handle
	and room handle.
	* Add "Edit" submenu and it's items. Fixes: NB#56274
	* Add menu command "IM with...". Fixes: NB#55826
	* Add menu command "Unblock" to CSM and "User" sub menus.
	Fixes: NB#56399, NB#56597
	* Add menu command "New contact". Fixes: NB#56375
	* Add information banner for blocking a contact.
	Fixes: NB#56400
	* Don't crash when searching from empty chat.
	Fixes: NB#54675
	* Add information banner "Invitation sent" after inviting
	people into a room. Fixes: NB#55852
	* Fix "Save chat log" item sensitivity. Fixes: NB#53191
	* Save latest used handles into GConf only after the
	"OK" button is clicked. Fixes: NB#51087
	* Remove various hildon transition hacks from code.

2007-04-27 Naba Kumar <naba.kumar@nokia.com>:

	* Replace all HILDON_ICON_SIZEs with GTK_ICON_SIZEs
	* Explicitly destroy the "Refreshing" banner when room listing
	dialog is closed. Fixes: NB#54985

2007-04-27 Naba Kumar <naba.kumar@nokia.com>:

	* Re-enable the contact selection dialog for selecting
	a contact to send a video invitation to. Fixes: NB#54965

2007-04-24 Naba Kumar <naba.kumar@nokia.com>:

	* Add support for CSM in chat text box.
	* Add exlamation mark into supported chars in links.
	Fixes: NB#53061

2007-04-17 Naba Kumar <naba.kumar@nokia.com>:

	* Add a guessimate of contact authorization situation into
	the ui for showing a different message when a chat is started.
	Fixes: NB#51155

2007-04-17 Naba Kumar <naba.kumar@nokia.com>:

	* Increase smiley icon size in smiley grid to 64
	* Modify smiley grid layout to be 6 columns and 2 rows
	* Increase toolbar button width to 72 pixels
	* Change event and action messages to match the instructions
	in new specs.
	* Change time stamps to match the instructions in new specs.
	* Connect the invite signal handler once more.
	Fixes: NB#53482
	* Make smiley comparisons case insensitive. Fixes: NB#51093
	* Add underscore into supported chars in emails of format:
	aaa_bbb_ccc@foobar.org. Fixes: NB#53930

2007-04-10 Naba Kumar <naba.kumar@nokia.com>:

	* Sanity checks and a crash fix into avatar update callback
	* Allow chat ui to notice a new remote avatar if none is
	previously set.

2007-04-02 Lassi Syrjala <lassi.syrjala@nokia.com>:

	* Avoid leaking contact photos (need to be unreferenced unlike
	avatar images from OssoABookAvatar)

2007-03-30 Naba Kumar <naba.kumar@nokia.com>:

	* Remove custom renderer. Use one from libosso-rtcom instead.
	* Re-fix New chat item sensitivity
	* Conditionally add support for new hildon help instead of
	osso helplib.

2007-03-22 Naba Kumar <naba.kumar@nokia.com>:

	* Instead of using a custom idle view (window) widget, use the
	one from libosso-rtcom
	* Prepare for gtk 2.10 and libhildon-1 with some backwards
	compatability.
	* Launch accounts applet when clicking "Add account" button in
	idle view. Fixes: NB#53112
	* Don't override messages from DB when the chat is started from
	TN plugin event. Fixes: NB#52011
	* Fix "New chat" menu item sensitivity. Fixes: NB#53184

2007-03-14 Lassi Syrjala <lassi.syrjala@nokia.com>:

	* Include chat-voip-service-dialog.[ch] from libosso-abook

2007-03-13 Naba Kumar <naba.kumar@nokia.com>:

	* Update contacts with last used time stamp when
	a chat is started with someone.

2007-03-13 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed number of smallish bugs in idle window
	* Common, shared menu added for both window types, there's
	only a single instance of the menu in the program.
	* Removed most of the menu related codes from chat window
	and -view, put them in the chat menu.

2007-03-05 Naba Kumar <naba.kumar@nokia.com>:

	* Added idle window widget
	* Removed idle view codes from chat window and -view
	* Select contact dialog removed
	* Recoded lots of stuff related to window ordering

2007-03-01 Naba Kumar <naba.kumar@nokia.com>:

	* Added build time dependency to libimlogger-dev

2007-03-01 Naba Kumar <naba.kumar@nokia.com>:

	* Add initial support for fetching messages from libimlogger
	* Match avatars based on one's account (user name) rather than
	the contact object, same contact can have different avatars on
	different services.
	* Add support for contacts changing aliases.
	* Remove code duplications for various methods of handling
	connection loss to a channel or actual connection.

2007-02-26 Naba Kumar <naba.kumar@nokia.com>:

	* Add account monitor for monitoring our own avatar changes.
	* More member data resolve code duplications removed. From both
	MUCs and p2p chats. Should lower code complexity level some.

2007-02-23 Naba Kumar <naba.kumar@nokia.com>:

	* Remove code duplications for creating a single member data.
	* Add ourselves into p2p chats, allowing avatar to show also
	then.
	* Don't care about connection based self handle in mucs, it
	shouldn't really be needed.
	* Don't resolve our own data twice in case of MUCs

2007-02-16 Naba Kumar <naba.kumar@nokia.com>:

	* Fetch and show own avatar from accounts (works only in MUCs)
	* Add avatar drawing primitives to custom renderer as well, to
	bypass GTK bug of not drawing the selection box correctly
	when one column is hidden.
	* Scale and cache all avatars locally.
	* Add intersects into custom renderer to avoid rendering all
	data to screen every time a part of the cell is needed to be
	rendered.

2007-02-12 Naba Kumar <naba.kumar@nokia.com>:

	* Add avatar settings into settings dialog.
	* Fix room settings dialog's ok button sensitivity.
	Fixes: NB#51166
	* Introduce a custom renderer for member listings to allow
	presence icon and texts in same cell.
	* Member data, presence message and storage modified to
	follow more logical names. Also, avoid allocating memory
	always when a preferred name is wanted to be changed.

2007-01-11 Naba Kumar <naba.kumar@nokia.com>:

	* Allows pasting several lines into the entry field
	* Compatible with MC 4.3-1

2007-01-10 Naba Kumar <naba.kumar@nokia.com>:

	* Overrides GtkEntry clipboard paste to allow multi-line
	text to be pasted to the entry. All line feeds replaced
	by empty space.

2007-01-10 Naba Kumar <naba.kumar@nokia.com>:

	* Compatible with osso-addressbook 2.20070105
	* Initial avatar support for known contacts.

2007-01-09 Naba Kumar <naba.kumar@nokia.com>:

	* Compatible with MC 4.1
	* No longer uses libosso-rtcom
	* Some small patches for starting the avatar support

2006-12-21 Naba Kumar <naba.kumar@nokia.com>:

	* Show local account selection dialog once more when
	we don't know which account to use. Fixes: NB#50166

2006-12-19 Naba Kumar <naba.kumar@nokia.com>:

	* Correctly notice bool property changes. Fixes: NB#49092

2006-12-19 Naba Kumar <naba.kumar@nokia.com>:

	* Check account capabilities when listing viable accounts.
	Fixes: NB#49986
	* Check account existence more consistently. Fixes: NB#48439
	* Pop out existing chat for a guy if we already have one.
	Fixes: NB#49801
	* Also compare accounts, not just handles when matching chats.
	Fixes: NB#49787
	* Add rtsp:// to supported links. Fixes: NB#48893

2006-12-05 Naba Kumar <naba.kumar@nokia.com>:

	* Link fragments are now split also by line feeds prior
	parsing. Fixes: NB#46399
	* Remove "changed" status check from password field in
	room settings. Fixes: NB#49049

2006-11-30 Naba Kumar <naba.kumar@nokia.com>:

	* Add focus-in-event and enter-notify-event handlers for
	conversation windows to disable LED pattern. Fixes: NB#46327
	* Add disconnection for PasswordFlagsChanged signal. This was
	received to a destructed object. Fixes: NB#48787

2006-11-28 Naba Kumar <naba.kumar@nokia.com>:

	* Moved unlinking to be done after file is closed in error
	situation while saving the chat log. Fixes: NB#34435

2006-11-27 Naba Kumar <naba.kumar@nokia.com>:

	* Only commit room properties that have been edited in the
	dialog. Fixes: NB#46157
	* Add iscontrol and isspace checks for link ends and beginnings.
	Fixes: NB#46399
	* Go online always when chat ui tries to initate a new chat... or
	it is started. Fixes: NB#48411
	* Initial LED code for existing chats. Needs fixing.

2006-11-15 Naba Kumar <naba.kumar@nokia.com>:

	* Disconnect channel in exit if the channel object is available
	but channel isn't fully formed. Fixes: NB#46089
	* Don't connect to channel signals if they're already connected
	after correct password is provided. Fixes: NB#35484
	* Only unref existing contact object if the new contact object
	isn't deleted.

2006-11-09 Naba Kumar <naba.kumar@nokia.com>:

	* Get presence after private conversation is truly ready.
	Fixes: NB#46420
	* Don't ref the EBookView returned in async EBookView open.
	Fixes: NB#46847

2006-11-08 Naba Kumar <naba.kumar@nokia.com>:

	* Add visibility notify, key press event and parent to smiley
	grid. Fixes: NB#43901
	* Check if account is actually returned from account selection
	dialog for a known contact. Fixes: NB#46064

2006-11-08 Naba Kumar <naba.kumar@nokia.com>:

	* Don't mark sub menus with visibility flag. Fixes: NB#37659
	* Add empty space before and after smileys clicked from menu.
	Fixes: NB#45642
	* Remove pending requests when account goes offline. Also check
	existence of a channel object in password dialog's response
	signal. Fixes: NB#46077
	* Don't double free array of handles when creating a member
	struct in message received signal. Fixes: NB#46217

2006-10-26 Naba Kumar <naba.kumar@nokia.com>:

	* Delay reconnection to a chat a bit. Fixes NB#42371
	* Hold handle prior of requesting it for the room listings.
	Fixes NB#44439
	* Enhance EBookView opening by making it async. In private
	chats, just fetch this contact's information.
	* Enhance disconnect/reconnect and don't hold several
	instances of chan and connection. Fixes NB#41485.

2006-10-19 Naba Kumar <naba.kumar@nokia.com>:

	* Link smiley and email address parsing refixed.
	Re-fix NB#42234, NB#42252 and NB#43083.

2006-10-17 Naba Kumar <naba.kumar@nokia.com>:

	* More accurately check EBook existence overall in the code.
	Fixes NB#42288.
	* Note placements hacked to work better again. By setting
	default sizes for windows. Fixes NB#42341.
	* Window is shown right away when requesting chat information.
	Fixes NB#42895.

2006-10-16 Naba Kumar <naba.kumar@nokia.com>:

	* Link, smiley and email address parsing recoded.
	Fixes NB#42234, NB#42252 and NB#43083.
	* Memory leak fixes done in listing open channels.
	* Glib D-BUS call handlers are now async

2006-10-11 Naba Kumar <naba.kumar@nokia.com>:

	* Uses new libscw interaction type to enable new type
	of determining between panning and selection. Fixes
	NB#35725
	* Modified list rooms dialog people column alignments.
	Fixes NB#42645.

2006-10-09 Naba Kumar <naba.kumar@nokia.com>:

	* Doesn't reset model every time font is changed. Newer libscw
	supports style changes now. This should help some load in zoom
	in and out keys.

2006-10-04 Naba Kumar <naba.kumar@nokia.com>:

	* More accurate check of finding on chat if it's reached
	end of log without finding anything. Fixes NB#41985.
	* Find toolbar entry hilited on open. Fixes NB#42159.
	* Requests are compared without conference server also, in case
	of Jabber if request hasn't been found from internal list. This
	is done only for rooms. Workaround for NB#40262.
	* Presence icon removed in p2p chats when presence goes offline.
	Fixes NB#41966.
	* Some minor memory leaks fixed
	* EBook existence checked better. Didn't fix anything though.

2006-09-29 Naba Kumar <naba.kumar@nokia.com>:

	* Mugged HW key events, exposed entry from toolbar
	to view. Fixes NB#32735.
	* UI startup paths simplified a bit.

2006-09-28 Naba Kumar <naba.kumar@nokia.com>:

	* Changes required by libosso-video-invitation >= 0.0.4.
	Compile with --enable-video-invitation

2006-09-28 Naba Kumar <naba.kumar@nokia.com>:

	* Search Toolbar functionality mugged, the menu item is
	now a check menu item, so had to move the code a bit.
	* Initial tests for chat showing the IVC dialog instead of
	the library.

2006-09-26 Naba Kumar <naba.kumar@nokia.com>:

	* Highlite search toolbar field when no matches found.
	NB#41472.
	* Print "Search complete" only when reaching to the end
	of chat view. NB#41330.

2006-09-26 Naba Kumar <naba.kumar@nokia.com>:

	* Automatically selects first row in side pane. To
	be on the safe side for upcoming hildon change.
	* Added copying from chat view.
	* Refactored some HW key events. NB#32735.
	* Focus moved to entry if the focus comes to toolbar.
	NB#32735.
	* Added removing of the empty log file if saving fails for some
	other reason than volume-unmount -event. NB#34435.
	* EBook object is now owned by the common manager instead of the
	main object.
	* Active chats now listen to contact-changed/-deleted/-added
	signals based on vcard field instead of listening to all.
	* Search toolbar functionality fixed NB#41329, NB#41331.

2006-09-21 Naba Kumar <naba.kumar@nokia.com>:

	* Added string key for integer handle based requests. Fixes
	NB#40687
	* Updated logical strings for kick and ban events to match
	the UI specs version 6.1. Fixes NB#29660, NB#31257 and
	NB#37715.
	* Added background killability, if only idle view is open.
	* Implements: NR#130930
	
2006-09-20 Naba Kumar <naba.kumar@nokia.com>:

	* Removed bunch of hacks, which should be now solved with
	async D-BUS calls in MC and ABook.
	* Added support for storing messages for outgoing requests
	or existing ones. This allows video invitations via chat
	ui.
	* Fixed positioning of the Select contact dialog. Fixes
	NB#40149.
	* Added printing of "Reconnected" event when chat was
	re-established.
	* Fixed a potential bug in osso_rpc callbacks. It appeared
	to be working properly, but might cause problems in some
	situations.
	* Increased chat title length by 6 times to allow the
	calculation to take in also a correct amount of chars in
	UTF-8. Fixes NB#37803.

2006-09-14 Naba Kumar <naba.kumar@nokia.com>:

	* Removed one extra gtk_widget_destroy.
	* Changed one logical string in List Rooms Dialog. Fixes
	NB#36562

2006-09-13 Naba Kumar <naba.kumar@nokia.com>:

	* Select Account dialog switched to Select Contact dialog.
	Also added code for showing the select account dialog after
	this. Fixes NB#31860, NB#35185 and NB#35436.
	* Added handler for xmpp schema.

2006-09-11 Naba Kumar <naba.kumar@nokia.com>:

	* Moved scrolling to end to before adding lines to model,
	fixes NB#34611.
	* Added showing banner that searching is stopped, fixes
	NB#37660.
	* Removed check if Idle View is visible, fixes NB#40136.

2006-08-29 Naba Kumar <naba.kumar@nokia.com>:

	* Compliant and dependant with telepathy spec version 0.13,
	libtelepathy-0.0.31
	* Introduced chat-manager object, fixing bugs NB#30046 and
	NB#33078
	* Fixed fetching of a contact object for members, specifically
	moved getting of the vcard to earlier spot in the code.
	NB#38345
	* Removed jumping in text log by utf-8 chars when copying is
	done by offset. Fixes NB#37707.
	* Does not setup a channel again, when the channel is still
	valid. Fixes NB#36354.
	* Changed ListDeadChannels to ListChannels

2006-08-22 Naba Kumar <naba.kumar@nokia.com>:

	* "Always-on-chat" implemented.
	* Added new interface function to ChannelHanlder,
	ListDeadChannels. Although it returns all available
	channels in chat ui.

2006-08-17 Naba Kumar <naba.kumar@nokia.com>:

	* Window management revamped. Idle window is tried to be closed
	always when possible, i.e. when opening new chat. NB#30194.

2006-08-15 Naba Kumar <naba.kumar@nokia.com>:

	* Added "Search on chat" functionality. NB#32865.
	* Room address now shown in "Password dialog". NB#31110.
	* Angry smiley in middle of a word shouldn't automatically
	mean email address, in fact it should never mean that.
	NB#31180.
	* URI action Name set to tana_fi_new_chat. NB#37589.

2006-08-07 Naba Kumar <naba.kumar@nokia.com>:

	* Changed -std=c99 to -std=gnu99

2006-08-07 Naba Kumar <naba.kumar@nokia.com>:

	* Removed participant_pane_freeze and _thaw, instead it's
	frozen and thawn inside the pane code. Also cleaned up the
	patches a lot to match rest of the style inside the code.
	* Re-added the text weight modification for side pane which
	had disappeared at some point from the participant pane.
	* Backported some fixes for room settings dialog. Related
	to NB#35597.
	* Added more private data checks in list pending messages,
	getting member listing and in presence update. Fixes
	NB#34124.
	* Updates self flag on member listing if our own data is
	also in a MUC list. NB#35465.
	* Added new logical string for changing room topic. Sometimes
	topic changes is unknown. NB#35992.
	* Connecting to MembersChanged later than before, to prevent
	people "joining" in chat before we list all members.
	* New contact button is enabled NB#35435
	* Room Name field is empty by default when joining to a room,
	NB#34021.
	* Comment field added to .desktop file to allow Chat UI have
	a second label row in thumb mode menu of TN. Works only in
	others menu.
	* Removed -ansi flag from Makefile.am. NB#36880

2006-07-21 Naba Kumar <naba.kumar@nokia.com>:

	* Fix NB#31180

2006-07-20 Naba Kumar <naba.kumar@nokia.com>:

	* Add participant_pane_freeze() and _thaw()
        * Use backported tp_conn_inspect_handles()
	* Support "callto:" action/URI scheme
	* Add "New Contact" button for the Select Contact dialog(s)

2006-07-19 Naba Kumar <naba.kumar@nokia.com>:

	* Replace g_utf8_collate() with collate keys and strcmp()
	to avoid constant malloc/frees in sorting function
	* Use gtk_list_store_insert_with_values() to speed up
	adding members to the participant pane

2006-07-13 Naba Kumar <naba.kumar@nokia.com>:

	* Removed GetChannels() method from the D-BUS interface, as
	it was decided to have the Chat UI recreate open channels

2006-07-13 Naba Kumar <naba.kumar@nokia.com>:

	* Pass top_window to accounts plugin (Fixes: NB#34701)

2006-07-11 Naba Kumar <naba.kumar@nokia.com>:

	* Initial attempt at GetChannels() with a tester

2006-06-28 Naba Kumar <naba.kumar@nokia.com>:

	* Better support for chatto: URIs, NB#29658
	* Search / Stop button functionality in room listing dialog
	fixed. NB#33176
	* Fixed menu states based on initial selection. NB#33715

2006-06-22 Naba Kumar <naba.kumar@nokia.com>:

	* Minor localization fix, NB#33243

2006-06-22 Naba Kumar <naba.kumar@nokia.com>:

	* Better support for IRC and Jabber based /me actions
	* Some minor code reorganizing.
	* Contact deleted flag checked better

2006-06-20 Naba Kumar <naba.kumar@nokia.com>:

	* First branched version. Graphical smileys are enabled by
	default.

2006-06-19 Naba Kumar <naba.kumar@nokia.com>:

	* Some checks if we're already setting up a channel.
	Related to NB#33078, doesn't fix it though.

2006-06-19 Naba Kumar <naba.kumar@nokia.com>:

	* Minimum size of 210 pixes set for right side of the chat
	view. Workaround for NB#32429.

2006-06-19 Naba Kumar <naba.kumar@nokia.com>:

	* Blocks reconnections until some reply in a form or another
	is received from MC. NB#32991

2006-06-19 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed saving chat logs. NB#32875
	* Hides "No accounts defined" note right away. NB#32912
	* Checks if a contact is deleted before assigning it to a
	member. NB#33009

2006-06-16 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed room listings so, that the "Close" command is called
	to correct interface. NB#32590.

2006-06-16 Naba Kumar <naba.kumar@nokia.com>:

	* Filters out fonts that are not allowed by the specs. NB#32808.

2006-06-16 Naba Kumar <naba.kumar@nokia.com>:

	* Doesn't show system modal error notes from MC. Keeps track of
	topmost window better so we get correct window on top for showing
	errors. Also, now uses VoIP errors, which are better suitable
	for the situation. NB#32837

2006-06-16 Naba Kumar <naba.kumar@nokia.com>:

	* Uses ScwView's new property, "invert-panning", NB#32825

2006-06-15 Naba Kumar <naba.kumar@nokia.com>:

	* Added implementation for new MC errors regarding joining
	a room which is full, we're banned from or is invite only,
	etc NB#31259 and NB#29430

2006-06-14 Naba Kumar <naba.kumar@nokia.com>:

	* Block handling of new messages while getting pending
	messages. NB#32632

2006-06-14 Naba Kumar <naba.kumar@nokia.com>:

	* Added more test code to dig out ScwView fault in
	resize. This is in test directory, does not affect
	released code in any way.

2006-06-14 Naba Kumar <naba.kumar@nokia.com>:

	* remove default sort func from the list room view,
	refix #28596

2006-06-09 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed an issue where pressing "Cancel" in close
	app note would still close chat ui.
	* Changed get_members to get_all_members, a partial
	fix to bug 29430.
	* Changed some magic numbers to use constants from
	libtelepathy as they're now available.
	* Using our own account id now as our bound account
	value rather than the inspected handle value.
	* Removed extra values from event messages for names
	and description changes, bugs 25471 and 25477
	* Added additional check for pw dialog state, to
	take care of bug 29673
	* Put input methods to start on lower case mode in
	the password dialog. Bug 31116.
	* Mugged INVALID handle send error to be mapped as
	offline. Don't know if this is correct, but it's
	more accurate than "permission denied".

2006-06-09 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed a memory leak in reconnecting to p2p chat.
	statuses weren't being freed.
	* Returning self_id correctly now so we can do
	the reconnect properly. No idea how old bug this is.

2006-06-09 Naba Kumar <naba.kumar@nokia.com>:

	* Added handling for GnomeVFS errors as well

2006-06-09 Naba Kumar <naba.kumar@nokia.com>:

	* Additional fixes to monitor MMC opening.

2006-06-09 Naba Kumar <naba.kumar@nokia.com>:

	* Additional fixes to prior fixes based on testing.
	* Fix to prevent crashing of the UI when it's closed
	before select contact dialog is shown, bug 32259

2006-06-08 Naba Kumar <naba.kumar@nokia.com>:

	* More error handling added. Related to bugs 31259 and
	29430.
	* Checks if password dialog is already open prior of
	opening a new one, bug 29673

2006-06-08 Naba Kumar <naba.kumar@nokia.com>:

	* Memory low handling improved, bug 31981
	* Close chat confirmation note closed correctly, bug
	30170
	* Accounts wizard is not opened several times, bug
	31803

2006-06-06 Naba Kumar <naba.kumar@nokia.com>:

	* Added support for showing information banner when MMC
	is opened during saving of the log. Bug 28552
	* Channel setup is done in an idle function now, to avoid
	deadlock (or a delay) due to a simultanous call to MC
	* Removed commented code from the UI code
	* Added implementation for LostMessage signal, bug
	31277. Dunno if this fixes it or not.
	* Hacked into layout a bit, using alignments now as
	containers for text area and side pane, with these could
	fix bug 31805
	* There should be implementation for SendError signal now
	but this is never called. Bug 28067

2006-06-02 Naba Kumar <naba.kumar@nokia.com>:

	* Modified toolbar so that the entry field and send
	button can be separately dimmed / enabled, fix #31705
	* Added support for aliases from server side. Not fully
	functional, as it appears that the aliasing iface doesn't
	exist.
	* Added support for permanent ids for people in groups.
	Fixes 25385, 28208, 28866
	* Syncronous queries to resolve member data. Easier to
	manage, but possible to cause a 15 sec lockup with a
	perfectly timed gabble or EDS crash. However, fixes bug
	29415

2006-06-02 Naba Kumar <naba.kumar@nokia.com>:

	* add Completed banner, fix #30920 and #30920
	* add no chat rooms label
	* add room sorting, fix #28596
	* make search case-insensitive, add ckct_ib_find_no_matches banner,
        fix #29207
	* add search result filter, fix #29095
	* safer boolean column sort
	* fixed #29706, #31252
	
2006-05-39 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-window.c: Added handling for memory low, fix to bug
	27901.
	* src/chat-view.c: Generic infoprint search & remove. Some code
	changed to reduce the complexity level of the code. Added
	event message for initiating a chat with offline contact and
	when contact moves offline. Added missing insensitive
	infoprints to user menus. Resolves bug 31240.

2006-05-29 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.c: Added some HW key handling.
	* src/chat-box.[ch]: Added scrolling function.
	* src/chat-view.c: Added HW key handling to fix bugs
	26153 and 26166.

2006-05-29 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-window.c, src/chat-ui.c, src/chat-view.[ch]: Added
	monitoring of EBook backend dying. Fixes bug 30745. Figured
	it might help bug 31015, but it didn't.

2006-05-24 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Fixed ChavoButton, bug 30324. Partial fixes
	to showing events for changing room settings, bugs 25471 and
	25477.
	* src/chat-box.c: Branched implementations, use a special switch
	to compile buggy graphical smileys. Also fixed angry smiley
	being confused as email address, bug 30403.
	* src/toolbar.c: Graphical smiley support, also removed focuses
	from smiley buttons, shouldn't close IM when clicked. Use
	special switch to compile with icons.

2006-05-22 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Fixed contact merging issue, rather contact
	deletion. Bug 30228.

2006-05-19 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Really fix blocking of unknown contact.

2006-05-19 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.c: Added text weight support, related to
	bug 25346.
	* src/room-settings-dialog.c: Removed spacing between widgets,
	it was against the layout guide, probably a remnant of old code.
	* src/chat-window.c: Various hacks for error handling, removed
	incorrect error strings, fix to bug 29784. Mugged selecting
	contact, joined the two select contact functions to one,
	displaying of account wizard mugged. Related to bugs 30161,
	29836 and 29254.
	* src/chat-view.c: Changed the contact creation a bit, contact
	is given user ids in GList now rather than in single string,
	bug 30164. Added couple of menu state updates to fix
	inconsistent states in menus. Added marking a single contact
	with a "self" flag. Annoying addition to fix bug 25346. Might
	be a good idea to pass around the member pointer everywhere
	instead of stripping out single data from the struct.
	* src/common.[ch]: Stupid additional hacks due to incomplete
	error handling system available. Fixes some weird error
	string bugs, like 29784.
	* src/chat-ui.c: Added MC error signal listening. Some hassle
	added for idle window popping and such, fixes bugs 29836 and
	29254. Added callback for HW events, fixes bug 25112.

2006-05-16 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: Recoded link and smiley parsing. Fixes bugs
	24915, 29790 and 29807.
	* src/chat-view.c, src/chat-window.c: Added a signal for received
	message into chat, fixes bug 24254
	* src/chat-view.c: Removed a fallback from contact check, works
	incorrectly in some setups, fix to bug 29437. Fixed idle view
	button, bug 29702. Fixed resolving self handle for rooms, or
	parsing, bug 29723.
	* debian/rules: Applied thumb code generation, fix to bug 29521

2006-05-11 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.[ch]: Changed the parent class to vbox,
	removed hacks for size requests, didn't work properly.
	* src/chat-box.[ch]: Changed the parent class to vbox, removed
	hacks for size requests. Added link opening, but there's no
	error handling visible as no errors are specified, bugs 29049
	and 29056.
	* src/room-settings-dialog.c: Added scrolled window and default
	size for the dialog. Fix to bug 27728.
	* src/chat-ui.c: Changed osso_abook_init to include the
	osso_context_t pointer. Changed URI handling a bit, added handling
	to a case where contact has several accounts, bug 26631. Additional
	functionality related to bug 29254 added, which isn't fixed yet
	though.
	* src/chat-window.c: Reconnect signal mugged a bit, few micro
	optimatizations (no real use, but done anyhow). Close chat
	confirmation note shown if a chat with a connection is closed,
	more or less connected to bug 28965. Switched full screen key
	into key press, bug 28033. Added confirmation note for asking
	if user would like to set up accounts when none are defined,
	bug 25242. Additional code to fix bug 26631.
	* src/chat-view.c: Can now also block properly people who are
	in p2p but not in our ABook, bug 29108. Listens to TpConn
	object's "destroy" signal, bugs 24242 and 27185. Members are
	removed from chat window if the chat isn't a p2p, bug 25644.
	Added listening to group flags. Also preliminary code for
	guessing if the real id of a user could be resolved. Fixed
	some theme rules for idle view.

2006-05-09 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.[ch]: Changed this to inherit the GtkBin
	instead of GtkScrolledWindow, partial fix to bug 27518
	* src/chat-box.[ch]: Changed this to inherit the GtkBin instead
	of GtkScolledWindow, the other half of fix to bug 27518
	* src/settings.c: Fixed a crash bug when removing extra rooms
	from saved room list, bug 28883
	* src/list-rooms-dialog.c: Removed some GLIB-Critical spams
	* src/chat-window.c: Only enabled accounts by vcard are shown
	in selecting an account to chat with a contact, bug 28856
	* src/chat-view.c: Using participant-pane and chat-box differently
	due to change in the objects. Added the Chavo* names for idle
	view. One smallish memory leak fixed in listing pending messages.
	* src/common.[ch]: Added a function to retrieve enabled accounts
	with certain vcard, related to bug 28856
	* src/chat-ui.c: Added implementation for top_application() function,
	used by the contact plugin, bug 27168. Improved window handling,
	bug 28588.

2006-05-05 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Fixed a crash in starting the UI, bug #28787.
	Fixed minor memory leaks in async D-BUS call callbacks. Additional
	fixes were inspired by bug #23701 (but doesn't fix it)

2006-05-04 Naba Kumar <naba.kumar@nokia.com>:

	* src/participant-pane.[ch]: It is now possible to update
	name on the side pane
	* src/list-rooms-dialog.c: Minor memory leaks fixed
	* src/join-room-dialog.c: Minor memory leaks fixed. Changed to
	use RtcomAccount directly instead of doing a stupid round trip
	to GConf to resolve it.
	* src/chat-window.c: Minor memory leaks fixed. Removed tabs from
	code. Removed some useless code. Changed EBookView to be created
	always.
	* src/chat-view.c: Memory leaks fixed. Added a EBookView into
	starter dialog, bug #28051. Added monitoring of contact add/change
	and remove, allows blocking and unblocking of contacts and name
	changes, bugs #25244, #27950. Improved group handling, bug #26785.
	Channel initiation changed, a lot, fixes initial presence state
	for contacts as well, bug #27955.
	* src/common.[hc]: Removed ESD hacks. Instead using hildon system
	sound API directly from chat-view.c. Fixed a crash bug in filtering
	RtcomAccount objects.
	* src/chat-ui.c: Fixed memory leaks and overall handling of uri
	open functionality.

2006-04-28 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-view.c: Fixed conversation restoring. Now only
	checking handle names, no longer service names and such

2006-04-28 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-window.c: Removed the the find toolbar related code,
	Bug #28113
	* src/chat-view.c: Reimplemented the idle view based on specs
	version 6.1. Fixes bugs #27922, #27685

2006-04-27 Naba Kumar <naba.kumar@nokia.com>:

	* src/room-settings-dialog.c: Reimplemented. Fully implemented
	now, handles property changes on the fly etc. Fixes bug 26300

2006-04-26 Naba Kumar <naba.kumar@nokia.com>:

        * src/chat-window.c: Fixed multiple account selection. Bug #26180.

2006-04-25 Naba Kumar <naba.kumar@nokia.com>:

        * src/chat-window.c: Really fix #27643.
        * configure.in, debian/changlog: Bumpped version to 0.2.5
        * src/chat-box.c, src/toolbar.c, debian/control: Fixed simleys to use
        new codes defined in ui-fonts-1.2-1 package and added the
        dependency to it. Fixed bug #26120
        
2006-04-25 Naba Kumar <naba.kumar@nokia.com>:

        * configure.in, debian/changlog: Bumpped version to 0.2.3

        * src/chat-window.c: Added '.txt' extension to the chat log
        file, so that it can be opened from file manager easily
        (fixed bug #27643).
        
        * src/chat-view.c: Enabled view details menu item, set it
        sensitive only when we have the user in our addressbook and
        show the details dialog for him (fixed bug #25385)
        
2006-04-24 Naba Kumar <naba.kumar@nokia.com>:

        * src/chat-window.c: Allow invitation of multiple contacts to
        group chat (fixed bug #26180).
        
2006-04-21 Naba Kumar <naba.kumar@nokia.com>:

        * Implemented room properties getting and setting. Setting doesn't
        actually work reliably because of some issues in telepathy-gabble.
        * Uses maemo launcher to start chat-ui
        * Fixed bug #26289, #24842.

2006-04-18 Naba Kumar <naba.kumar@nokia.com>:

        * configure.in: Bumpped version to 0.2.1
        
        * src/chat-view.c, src/common.h, data/osso-chat-ui.schemas:
        Implemented members blocking for both p2p chat and group chat.
        Hidden 'Details' menu since 'Start' serves the same purpose
        (UI spec changed). Implemented local blocking for chat rooms.
        Show add to addressbook dialog only when we have the real ID of
        of the member. Set menu sensitivities of block user items ON only
        if the user is not blocked already. Fixed a craher bug while
        processing room messages. Set default font size to 16 and default
        state for block unknow contacts to FALSE (UI spec changed).

2006-04-18 Naba Kumar <naba.kumar@nokia.com>:

        * configure.in, debian/changlog: Bumpped version to 0.2.0.
        
        * src/chat-view.c: Fixed lots of group chat related bugs;
         - Updated menu sensitivities correctly when change happen for
         current selected member.
         - Show start dialog correctly.

2006-04-18 Naba Kumar <naba.kumar@nokia.com>:

        * configure.in, debian/changlog: Bumpped version to 0.1.9.
        
        * src/chat-view.c: Fixed lots of group chat related bugs;
         - Multiple entries of same member fixed.
         - Multiple messages from the same memer fixed.
         - 'Invalid handle xx' error messages fixed.

2006-04-18 Naba Kumar <naba.kumar@nokia.com>:

        * configure.in, debian/changlog: Bumpped version to 0.1.8.
        
        *debian/control, src/chat-view.c, src/common.c, src/common.h:
        Implemented sound events for chat messages and group events.
        Preferences taken into account for the notifications.

2006-04-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/settings.c, src/settings-dialog.c: Implemented rest of the
	features. Sound alerts are not yet played, though.
        
        * src/join-room-dialog.c: Fixed bug #25240. the ok button on the
        dialog is now only sensitive when there is some text in the entry.
        
2006-04-12 Naba Kumar <naba.kumar@nokia.com>:

	* Changed the current Add to Contacts use the ABook's dialog.
	Note: this bugs, works properly only for 1v1 chats.

2006-04-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/list-rooms-dialog.[ch]:
	Added getting room data for joining
	* src/password-dialog.c:
	Added help, hides the name label if room name cannot be fetched
	* src/chat-view.c:
	Joining to password protected rooms fixed together with Gabble

2006-04-12 Naba Kumar <naba.kumar@nokia.com>:

	* src/list-rooms-dialog.[ch]: More or less implemented dialog.
	Still needs implementation in calling program though

	* data/Makefile.am: Fixed this so it actually calls the install
	exec hook.

2006-04-11 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: Implemented URI highlighting and
	markuping them for actions.

	* debian/osso-chat-ui.postinst, configure.in,
	data/Makefile.am, data/osso-chat-ui.schemas: Install
	preferences schemas file.

2006-04-10 Naba Kumar <naba.kumar@nokia.com>:

	* Added CS menu
	* Added room settings dialog (only skeleton)
	* Added little code to room listing (not working)
	* Fetching contacts from ABook for each member in chat
	* Start dialog code added, but it's not working
	* Managing blocked users added

2006-04-10 Naba Kumar <naba.kumar@nokia.com>:

	* src/chat-box.c: Fixed search and replace to replace
	all matching string and not just the fist on. Also
	improved efficiency by avoiding dynamic allocations
	of strings in every replace.
	
2006-04-07 Naba Kumar <naba.kumar@nokia.com>:

	* Added URI handling interface and mime type registration
	* Added smiley support.

2006-04-06 Naba Kumar <naba.kumar@nokia.com>:

	* Added smiley grid
	* Escapes text before displaying it
	* Some parsing prepared, but no real link parsing done

2006-04-05 Naba Kumar <naba.kumar@nokia.com>:

	* Added help IDs to most of the dialogs
	* Fixed contact information in files
	* Added font size zooming with HW keys
	* Added window closing with ESC

2006-04-04 Naba Kumar <naba.kumar@nokia.com>:

	* Saving chat log added

2006-04-04 Naba Kumar <naba.kumar@nokia.com>:

	* Chat view (channel) restoration should be working in the UI
	  end.
	* Password providing should be working
	* Some reorganizing of code, more D-BUS calls are now async

2006-03-26 Naba Kumar <naba.kumar@nokia.com>:

	* Chat area now actually changes on settings
	* First page settings almost all in use, save for emoticons
	  and font face
	* Depends on MC 0.9
	* Random fixes here and there for localization and object
	  creations, making the UI to appear a bit better. This made
	  the ui startup a bit faster as well.

2006-03-24 Naba Kumar <naba.kumar@nokia.com>:

	* Fixed bound account handling.

2006-03-24 Naba Kumar <naba.kumar@nokia.com>:

	* Settings dialog's first page's settings are now actually
	saved and read from GConf.
	* Show/Hide timestamp settings taken into account.

2006-03-23 Naba Kumar <naba.kumar@nokia.com>:

	* Removed useless hacks in getting button sizes in empty
	view, using GtkSizeGroup instead.
	* Settings dialog's first page created.

2006-03-23 Naba Kumar <naba.kumar@nokia.com>:

	* Added the UI to remember recent rooms
	* Invitation appears to be working with latest gabble
	* Depends on mission-control v0.8

2006-03-21 Naba Kumar <naba.kumar@nokia.com>:

	* Now uses libosso-rtcom in fullness. No more dependencies
	to libosso-chavo
	* Joining rooms, selecting account can be tried offline now.
	This will work, after mission-control can be launched by
	calling get_connection for an account id

2006-03-20 Naba Kumar <naba.kumar@nokia.com>:

	* Added support for inviting persons to chat.
	This isn't implemented in Gabble yet, so cannot test it
	* Added support for launching account wizard.
	* Uses libosso-rtcom in some places
	* Invite and send commands are disabled in the toolbar
	according to our current status

2006-03-20 Naba Kumar <naba.kumar@nokia.com>:

	* Added presence signals and subscriptions for chat
	member presences
	* Added support for service side away and status events
	these are mapped inside the UI in a weird way, hopefully
	these will work also with other protocols
	* Added leave / enter support
	* Added titles as correct ones for most chat instances,
	still missing room settings, so room names are not
	supported

2006-03-16 Naba Kumar <naba.kumar@nokia.com>:

	* Added icon blinking
	* Added ability to join, see members and chat in a room
	chat.
	* Added event handling for members joining and leaving
	* Fixed a crash in cancelling the select account or
	service dialog while selecting a contact

2006-03-15 Naba Kumar <naba.kumar@nokia.com>:

	* Changed the application icon to match the correct one
	* Now uses again HildonWindow and HildonProgram API,
	since it appears to be working better. This fixes bug
	#24222
